{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "76be33e6ae698087cc74922cedb6bc7c78476e1d";
      sha256 = "1qbivk37w7plngd3d3ha93xnfgxj2jcw3r4x78p8v4x8d76qkjba";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
